
/*
 * Name: Bhaskar S
 * 
 * Date: 10/10/2009 
 */

package com.polarsparc.jdk.compiler;

import java.util.*;
import javax.tools.*;
import javax.tools.JavaCompiler.CompilationTask;

public class BasicCompile {
	public static void main(String[] args) {
		try {
			JavaCompiler compiler = ToolProvider.getSystemJavaCompiler();
			
			StandardJavaFileManager manager = compiler.getStandardFileManager(null, null, null);
			
			Iterable<? extends JavaFileObject> units = manager.getJavaFileObjects("src/com/polarsparc/jdk/compiler/CompileMe.java");
			
			String[] opts = new String[] { "-d", "classes" };
			
			CompilationTask task = compiler.getTask(null, manager, null, Arrays.asList(opts), null, units);
			boolean status = task.call();
			if (status) {
				System.out.printf("Compilation successful!!!\n");
			}
		}
		catch (Exception ex) {
			ex.printStackTrace(System.err);
			System.exit(1);
		}
	}
}
